diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index dcaeda4..371419e 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -5172,7 +5172,7 @@
      </row>
      <row>
       <entry><structfield>provider</structfield></entry>
-      <entry><type>name</type></entry>
+      <entry><type>text</type></entry>
       <entry></entry>
       <entry>The label provider associated with this label.</entry>
      </row>
@@ -6400,6 +6400,18 @@
        converter to produce a constant.
       </para></entry>
      </row>
+     
+     <row>
+      <entry><structfield>typacl</structfield></entry>
+      <entry><type>aclitem[]</type></entry>
+      <entry></entry>
+      <entry>
+       Access privileges; see
+       <xref linkend="sql-grant"> and
+       <xref linkend="sql-revoke">
+       for details
+      </entry>
+     </row>
     </tbody>
    </tgroup>
   </table>
@@ -8162,6 +8174,16 @@
      </row>
 
      <row>
+      <entry><structfield>userepl</structfield></entry>
+      <entry><type>bool</type></entry>
+      <entry></entry>
+      <entry>
+       User can initiate streaming replication and put the system in and
+       out of backup mode.
+      </entry>
+     </row>
+     
+     <row>
       <entry><structfield>passwd</structfield></entry>
       <entry><type>text</type></entry>
       <entry></entry>
@@ -8596,8 +8618,8 @@
 
      <row>
       <entry><structfield>usesysid</structfield></entry>
-      <entry><type>int4</type></entry>
-      <entry>User ID (arbitrary number used to reference this user)</entry>
+      <entry><type>oid</type></entry>
+      <entry>ID of this user</entry>
      </row>
 
      <row>
@@ -8622,6 +8644,15 @@
      </row>
 
      <row>
+      <entry><structfield>userepl</structfield></entry>
+      <entry><type>bool</type></entry>
+      <entry>
+       User can initiate streaming replication and put the system in and
+       out of backup mode.
+      </entry>
+     </row>
+     
+     <row>
       <entry><structfield>passwd</structfield></entry>
       <entry><type>text</type></entry>
       <entry>Not the password (always reads as <literal>********</>)</entry>
@@ -8692,8 +8723,8 @@
 
      <row>
       <entry><structfield>srvname</structfield></entry>
-      <entry><type>text</type></entry>
-      <entry></entry>
+      <entry><type>name</type></entry>
+      <entry><literal><link linkend="catalog-pg-foreign-server"><structname>pg_foreign_server</structname></link>.srvname</literal></entry>
       <entry>
        Name of the foreign server
       </entry>